Index: frontend/src/Components/HotelDetails/Room.js
===================================================================
--- frontend/src/Components/HotelDetails/Room.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelDetails/Room.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,104 +1,92 @@
-import React, {useState} from "react";
-import {Container, Row, Col, Image} from "react-bootstrap";
-import {LuFan} from "react-icons/lu";
-import {TbToolsKitchen2} from "react-icons/tb"
-import {MdBalcony} from "react-icons/md"
-import Carousel from "react-bootstrap/Carousel";
+import React from "react";
+import { Container, Row, Col, Image } from "react-bootstrap";
+import { LuFan } from "react-icons/lu";
+import { TbToolsKitchen2 } from "react-icons/tb"
+import { MdBalcony } from "react-icons/md"
 
 const Room = (props) => {
-    console.log("OD SOBATA")
-    const [index, setIndex] = useState(0);
-    const handleSelect = (selectedIndex) => {
-        setIndex(selectedIndex);
-    };
-    console.log(props)
-    return (
-        <>
-            <Container style={{width: "100%"}}>
-                <Row className="g-0">
-                    <Col
-                        className="d-flex justify-content-center"
-                        style={{maxWidth: "40%"}}
-                    >
-                        <Carousel activeIndex={index} onSelect={handleSelect}>
-                            {props.data.images.map(img => {
-                                let link = img.url;
-                                if (img.url.includes('Desktop')) {
-                                    link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(img.url);
-                                }
-                                return (<Carousel.Item>
-                                    <Image src={link}/>
-                                </Carousel.Item>)
-                            })}
-                            {props.data.images.length === 0 && <h4>
-                                Не се достапни слики!
-                            </h4>}
-                        </Carousel>
-                    </Col>
-                    <Col>
-                        <Container className="m-auto">
-                            <Row>
-                                <h5 style={{textAlign: "left"}}>
-                                    {props.data.hotelRoomName}
-                                </h5>
-                            </Row>
-                            <Row>
-                                {props.data.airCondition && <Col className="col-auto">
-                                    <Container className="py-1 px-1">
-                                        <Row className="d-flex flex-row">
-                                            <Col className="m-0 w-25 py-1">
-                                                <LuFan
-                                                    className="my-0 "
-                                                    color="#159895"
-                                                    size={25}
-                                                ></LuFan>
-                                            </Col>
-                                            <Col className="w-75 d-flex p-0">
-                                                <h6 style={{fontSize: "10px"}} className="m-auto">
-                                                    Климатизирано
-                                                </h6>
-                                            </Col>
-                                        </Row>
-                                    </Container>
-                                </Col>}
-                                {props.data.kitchenAvailable && <Col className="col-auto">
-                                    <Container
-                                        className="py-1 px-1">
-                                        <Row className="d-flex flex-row">
-                                            <Col className="m-0 w-25 py-1">
-                                                <TbToolsKitchen2 className="my-0 " color="#159895"
-                                                                 size={25}></TbToolsKitchen2>
-                                            </Col>
-                                            <Col className="w-75 d-flex p-0">
-                                                <h6 style={{fontSize: "10px"}} className="m-auto">Кујна</h6>
-                                            </Col>
-                                        </Row>
-                                    </Container>
-                                </Col>}
-                                {props.data.balcony && <Col className="col-auto">
-                                    <Container
-                                        className="py-1 px-1">
-                                        <Row className="d-flex flex-row">
-                                            <Col className="m-0 w-25 py-1">
-                                                <MdBalcony className="my-0 " color="#159895" size={25}></MdBalcony>
-                                            </Col>
-                                            <Col className="w-75 d-flex p-0">
-                                                <h6 style={{fontSize: "10px"}} className="m-auto">Тераса</h6>
-                                            </Col>
-                                        </Row>
-                                    </Container>
-                                </Col>}
-                            </Row>
-                            <Row>
-                                <p style={{textAlign: "left", textDecoration: "none"}}>
-                                    {props.data.hotelRoomDescription}
-                                </p>
-                            </Row>
-                        </Container>
-                    </Col>
-                </Row>
+  return (
+    <>
+      <Container style={{ width: "100%" }}>
+        <Row className="g-0">
+          <Col
+            className="d-flex justify-content-center"
+            style={{ maxWidth: "40%" }}
+          >
+            <Image
+              src="https://img.freepik.com/free-photo/luxury-classic-modern-bedroom-suite-hotel_105762-1787.jpg?w=2000"
+              style={{
+                height: "10em",
+                borderRadius: "1em",
+                boxShadow: "0 4px 20px lightblue",
+                maxWidth: "100%",
+              }}
+              className="m-auto"
+            ></Image>
+          </Col>
+          <Col>
+            <Container className="m-auto">
+              <Row>
+                <h5 style={{ textAlign: "left" }}>
+                  {props.data.hotelRoomName}
+                </h5>
+              </Row>
+              <Row>
+                {props.data.airCondition && <Col className="col-auto">
+                  <Container className="py-1 px-1">
+                    <Row className="d-flex flex-row">
+                      <Col className="m-0 w-25 py-1">
+                        <LuFan
+                          className="my-0 "
+                          color="#159895"
+                          size={25}
+                        ></LuFan>
+                      </Col>
+                      <Col className="w-75 d-flex p-0">
+                        <h6 style={{ fontSize: "10px" }} className="m-auto">
+                          Климатизирано
+                        </h6>
+                      </Col>
+                    </Row>
+                  </Container>
+                </Col>}
+                {props.data.kitchenAvailable && <Col className="col-auto">
+                  <Container
+                    className="py-1 px-1">
+                                          <Row className="d-flex flex-row">
+                        <Col className="m-0 w-25 py-1">
+                        <TbToolsKitchen2 className="my-0 " color="#159895" size={25}></TbToolsKitchen2>
+                        </Col>
+                        <Col className="w-75 d-flex p-0" >
+                        <h6 style={{fontSize: "10px"}} className="m-auto">Кујна</h6>
+                        </Col>
+                      </Row>
+                  </Container>
+                </Col>}
+                {props.data.balcony && <Col className="col-auto">
+                <Container
+                    className="py-1 px-1">
+                                          <Row className="d-flex flex-row">
+                        <Col className="m-0 w-25 py-1">
+                        <MdBalcony className= "my-0 " color="#159895" size={25}></MdBalcony>
+                        </Col>
+                        <Col className="w-75 d-flex p-0" >
+                        <h6 style={{fontSize: "10px"}} className="m-auto">Тераса</h6>
+                        </Col>
+                      </Row>
+                  </Container>
+                </Col>}
+              </Row>
+              <Row>
+                <p style={{ textAlign: "left", textDecoration: "none" }}>
+                  {props.data.hotelRoomDescription}
+                </p>
+              </Row>
             </Container>
-        </>
-);
+          </Col>
+        </Row>
+      </Container>
+    </>
+  );
 };
 
Index: frontend/src/Components/HotelDetails/RoomRow.js
===================================================================
--- frontend/src/Components/HotelDetails/RoomRow.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelDetails/RoomRow.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -8,7 +8,5 @@
     const [getData, setData] = useState(0);
     const room = props.room
-    console.log("dasdaskjdhaskdjashdkajk")
     console.log(props.data)
-    console.log(Array(props.data.find(x => x.hotelRoom.hotelRoomId === room.hotelRoomId)))
     return (
         <>
@@ -24,5 +22,5 @@
                     }}>
                         <option></option>
-                        {[...Array(props.data.filter(x => x.hotelRoom.hotelRoomId === room.hotelRoomId).reduce((sum, x) => x.numberOfBeds)).keys()].map(x => {
+                        {[...Array(props.data.find(x => x.hotelRoom.hotelRoomId === room.hotelRoomId).numberOfBeds).keys()].map(x => {
                             return (
                                 <option value={x+1}  >{x + 1}</option>
Index: frontend/src/Components/HotelDetails/RoomsTable.js
===================================================================
--- frontend/src/Components/HotelDetails/RoomsTable.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelDetails/RoomsTable.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,3 +1,4 @@
 import React from "react";
+import Room from "./Room";
 import Form from "react-bootstrap/Form";
 import FaHotel from "react-icons/fa";
@@ -8,4 +9,7 @@
 const RoomsTable = (props) => {
 
+
+    console.log(props.data[0].hotelRoomAvailableId)
+    console.log([...Array(props.data[0].numberOfBeds).keys()])
     return (
         <>
@@ -20,7 +24,5 @@
                 </thead>
                 <tbody>
-                {Array.from(
-                    new Set(props.data.map((x) => JSON.stringify(x.hotelRoom)))
-                ).map((roomString) => JSON.parse(roomString)).map((room) => {
+                {Array.from(new Set(props.data.map(x => x.hotelRoom))).map((room) => {
                     return (
                         <>
Index: frontend/src/Components/HotelEdit/HotelEditTab.js
===================================================================
--- frontend/src/Components/HotelEdit/HotelEditTab.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelEdit/HotelEditTab.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,119 +1,99 @@
 import React from "react";
-import {Container, Col, Row, Image, Nav, Tab} from "react-bootstrap";
-import {useState} from "react";
-import {FaTaxi, FaHotel} from "react-icons/fa";
-import {MdOutlineStickyNote2} from "react-icons/md";
+import { Container, Col, Row, Image, Nav, Tab } from "react-bootstrap";
+import { useState } from "react";
+import { FaTaxi, FaHotel } from "react-icons/fa";
+import { MdOutlineStickyNote2 } from "react-icons/md";
 import AddNew from "../Resources/AddNew";
-import {BiData} from "react-icons/bi"
+import { BiData } from "react-icons/bi"
 import RoomListing from "./RoomListing";
 import HotelEditForm from "./HotelEditForm";
 import AddHotelForm from "../Forms/AddHotelForm";
 import EditModal from "../Resources/EditModal";
-import AddAvailability from "../Resources/AddAvailability";
-import useGet from "../Hooks/useGet";
-import ReservationListing from "./ReservationListing";
 
 function HotelEditTab(props) {
-    const [activeTab, setActiveTab] = useState("/hotel");
-    const [modalData, setModalData] = useState("");
-    const [show, setShow] = useState(false);
+  const [activeTab, setActiveTab] = useState("/hotel");
+  const [modalData, setModalData] = useState("");
+  const [show, setShow] = useState(false);
 
-    console.log(props)
+  const handleClose = () => setShow(false);
+  const handleShow = () => {
+    //e.preventDefault();
+    setShow(true);
 
-    const {
-        data,
-        isLoading,
-        setData,
-        getData,
-        setChanged
-    } = useGet(`/hotel/${props.displayRoom.hotelId}/reservations/active`)
+  };
 
-    !isLoading && console.log(data)
+  const showModal = (modalData) => {
+    setModalData(modalData);
+    handleShow();
+  }
+  console.log(props.displayRoom)
 
-    const handleClose = () => setShow(false);
-    const handleShow = () => {
-        //e.preventDefault();
-        setShow(true);
+  const handleSelect = (eventKey) => {
+    setActiveTab(eventKey);
+  };
 
-    };
-
-    const showModal = (modalData) => {
-        setModalData(modalData);
-        handleShow();
-    }
-    console.log(props.displayRoom)
-
-    const handleSelect = (eventKey) => {
-        setActiveTab(eventKey);
-    };
-
-    return (
-        <Container className="rounded-5">
-            <Tab.Container
-                activeKey={activeTab}
-                onSelect={handleSelect}
-                className="bg-dark rounded-5"
-            >
-                <Nav
-                    fill
-                    variant="tabs"
-                    className="bg-body rounded-top-5"
-                    activeKey="/hotel"
-                    id="tab_item"
-                >
-                    <Nav.Item className="tab_item rounded-5">
-                        <Nav.Link eventKey="/hotel" className="text-left rounded-5">
+  return (
+    <Container className="rounded-5">
+      <Tab.Container
+        activeKey={activeTab}
+        onSelect={handleSelect}
+        className="bg-dark rounded-5"
+      >
+        <Nav
+          fill
+          variant="tabs"
+          className="bg-body rounded-top-5"
+          activeKey="/hotel"
+          id="tab_item"
+        >
+          <Nav.Item className="tab_item rounded-5">
+            <Nav.Link eventKey="/hotel" className="text-left rounded-5">
               <span className="ikona">
                 <FaHotel
-                    color="#159895"
-                    style={{lineHeight: "100em"}}
-                    size={"1.5em"}
-                    className="mx-3"
+                  color="#159895"
+                  style={{ lineHeight: "100em" }}
+                  size={"1.5em"}
+                  className="mx-3"
                 />
               </span>
-                            <span className="ikona">Соби</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                    <Nav.Item className="tab_item">
-                        <Nav.Link eventKey="/restaurant">
+              <span className="ikona">Соби</span>
+            </Nav.Link>
+          </Nav.Item>
+          <Nav.Item className="tab_item">
+            <Nav.Link eventKey="/restaurant">
               <span className="ikona">
-                <MdOutlineStickyNote2 color="#159895" size={"1.5em"} className="mx-3"/>
+                <MdOutlineStickyNote2 color="#159895" size={"1.5em"} className="mx-3" />
               </span>
-                            <span className="ikona">Резервации</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                    <Nav.Item className="tab_item rounded-5">
-                        <Nav.Link eventKey="/transport" className="text-left rounded-5">
+              <span className="ikona">Резервации</span>
+            </Nav.Link>
+          </Nav.Item>
+          <Nav.Item className="tab_item rounded-5">
+            <Nav.Link eventKey="/transport" className="text-left rounded-5">
               <span className="ikona">
-                <BiData color="#159895" size={"1.5em"} className="mx-3"/>
+                <BiData color="#159895" size={"1.5em"} className="mx-3" />
               </span>
-                            <span className="ikona">Општи податоци</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                </Nav>
+              <span className="ikona">Општи податоци</span>
+            </Nav.Link>
+          </Nav.Item>
+        </Nav>
 
-                <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
-                    <Tab.Pane eventKey="/hotel">
-                        {props.displayRoom.hotelRooms.map((room) => {
-                            return <RoomListing key={room.hotelRoomId} data={room} showModal={showModal}/>
-                        })}
-                        <EditModal show={show} handleClose={handleClose} type="room" room={modalData}></EditModal>
-                        <AddNew Id={props.displayRoom.hotelId} refresh={props.refresh} type="room"/>
-                    </Tab.Pane>
-                    <Tab.Pane eventKey="/restaurant">
-                        {!isLoading && data.map((res) => {
-                            return (
-                                <ReservationListing type={'hotel'} data={res}/>
-                            )
-                        })}
-                        {/*<AddNew type="restaurant"/>*/}
-                    </Tab.Pane>
-                    <Tab.Pane eventKey="/transport">
-                        <AddHotelForm refresh={props.refresh} hotel={props.displayRoom}/>
-                    </Tab.Pane>
-                </Tab.Content>
-            </Tab.Container>
-        </Container>
-    );
+        <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
+          <Tab.Pane eventKey="/hotel">
+          {props.displayRoom.hotelRooms.map((room) => {
+              return <RoomListing key={room.hotelRoomId} data={room} showModal={showModal}/>
+            })}
+            <EditModal show={show} handleClose={handleClose} type="room" room={modalData}></EditModal>
+            <AddNew Id={props.displayRoom.hotelId} refresh={props.refresh} type="room"/>
+          </Tab.Pane>
+          <Tab.Pane eventKey="/restaurant">
+            <AddNew type="restaurant"/>
+          </Tab.Pane>
+          <Tab.Pane eventKey="/transport">
+            <AddHotelForm refresh={props.refresh} hotel={props.displayRoom}/>
+          </Tab.Pane>
+        </Tab.Content>
+      </Tab.Container>
+    </Container>
+  );
 }
 
Index: frontend/src/Components/HotelEdit/RoomListing.js
===================================================================
--- frontend/src/Components/HotelEdit/RoomListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelEdit/RoomListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -6,5 +6,4 @@
 import {AiOutlinePlusCircle} from "react-icons/ai"
 import AddAvailability from "../Resources/AddAvailability";
-import AddImages from "../Resources/AddImages";
 
 
@@ -41,7 +40,4 @@
                         <h2>Цена по ноќ: {props.data.price}</h2>
                     </Col>
-                    <Col className="d-flex flex-column justify-content-center align-content-center">
-                        <AddImages type="room" Id={props.data.hotelRoomId} />
-                    </Col>
 
                     <Col className="d-flex flex-column justify-content-center align-content-center">
Index: frontend/src/Components/Layout/Navbar/Navigation.js
===================================================================
--- frontend/src/Components/Layout/Navbar/Navigation.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Layout/Navbar/Navigation.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,4 +1,4 @@
-import {Button, Modal} from "react-bootstrap";
-import React, {useState} from "react";
+import { Button } from "react-bootstrap";
+import React from "react";
 import { Container, Image, Navbar } from "react-bootstrap";
 import { Nav } from "react-bootstrap";
@@ -7,6 +7,4 @@
 import useGet from "../../Hooks/useGet";
 import axios from "../../../axios.js";
-import {useAuth} from "../../Context/AuthContext";
-import ImageUpload from "../../ImageUpload/ImageUpload";
 //import logo from 'assets/images/logo.png';
 //src="https://upload.wikimedia.org/wikipedia/commons/0/08/Vergina_Sun_-_Golden_Larnax.png"
@@ -14,12 +12,7 @@
 function Navigation(props) {
   const navigator = useNavigate();
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
 
-  const [show, setShow] = useState(false);
-
-  const handleClose = () => setShow(false);
-  const handleShow = () => setShow(true);
-
+  const { data, setData, isLoading, getData } = useGet("/username");
+  
   return (
     <>
@@ -31,5 +24,5 @@
       >
         <Container>
-          <Navbar.Brand href="/home">
+          <Navbar.Brand href="#home">
             <span className="ikona">
               <Image
@@ -55,7 +48,7 @@
               </Nav.Link>
               <Nav.Link className="m-2" href="#pricing">
-                <Button onClick={handleShow}></Button>
+                Pricing
               </Nav.Link>
-              {!isLoggedIn && (
+              {!isLoading && !data && (
                 <Button
                   className="m-2"
@@ -63,5 +56,5 @@
                   style={{ backgroundColor: "#159895" }}
                   onClick={() => {
-                    window.location.href = ("http://localhost:8080/login");
+                    navigator("/login");
                   }}
                 >
@@ -69,8 +62,8 @@
                 </Button>
               )}
-              {isLoggedIn && (
+              {!isLoading && data && (
                 <>
                   <Nav.Link className="m-2" href="/profile">
-                    {Auth.getUser().username}
+                    {data}
                   </Nav.Link>
                   <Button
@@ -81,6 +74,5 @@
                       await axios.get("/logout")
                       .then((res) => {
-                        console.log(res);
-                        Auth.userLogout();
+                        console.log(res)
                       })
                       .catch((err) => {
@@ -100,19 +92,4 @@
       </Navbar>
       <br />
-
-      <Modal show={show} onHide={handleClose}>
-        <Modal.Header closeButton>
-          <Modal.Title>Modal heading</Modal.Title>
-        </Modal.Header>
-        <Modal.Body><ImageUpload/></Modal.Body>
-        <Modal.Footer>
-          <Button variant="secondary" onClick={handleClose}>
-            Close
-          </Button>
-          <Button variant="primary" onClick={handleClose}>
-            Save Changes
-          </Button>
-        </Modal.Footer>
-      </Modal>
     </>
   );
Index: frontend/src/Components/Listings/HotelListing.js
===================================================================
--- frontend/src/Components/Listings/HotelListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Listings/HotelListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,3 +1,3 @@
-import {Col, Container, Image, Row, Button, Badge} from "react-bootstrap";
+import {Col, Container, Image, Row, Button} from "react-bootstrap";
 import {BsFillPersonFill} from "react-icons/bs";
 import {MdOutlineLocalOffer} from "react-icons/md";
@@ -5,18 +5,5 @@
 
 function HotelListing(props) {
-
-    const getMarketingMessage = (num) => {
-        switch (num){
-            case 1:
-                return "Достапно само денес"
-            case 2:
-                return "Последна соба"
-            case 3:
-                return "Специјална цена"
-        }
-    }
-
     console.log(props)
-    const randomInt = Math.floor(Math.random() * (3)) + 1;
     return (
         <>
@@ -28,5 +15,4 @@
                     boxShadow: "0 3px 5px lightblue",
                     maxWidth: "60%",
-                    backgroundColor: props.data.promoted ? "#e1f7fa" : ""
                 }}
             >
@@ -45,8 +31,5 @@
                     <Col>
                         <Row>
-                            <h3>{props.data.hotelName}
-                            {props.data.marketed && randomInt !== 3 && <h6><Badge bg="warning">{getMarketingMessage(randomInt)}</Badge></h6>}
-                            {props.data.promoted && <h6><Badge bg="primary">Најпопуларно</Badge></h6>}
-                            </h3>
+                            <h3>{props.data.hotelName}</h3>
                         </Row>
                         <Row>
@@ -97,5 +80,6 @@
                       }}
                   >
-                        {(props.data.hotelReviews.reduce((sum, r) => sum + r.numStar, 0) / props.data.hotelReviews.length).toFixed(1)}
+                    {/* {props.data.hotelRating} */}
+                      9.1
                   </span>
                                 </Col>
@@ -107,6 +91,5 @@
                                 >
                                     <Row>
-                                        <h4>{props.data.marketed && randomInt === 3 && <h6><Badge bg="warning">{getMarketingMessage(randomInt)}</Badge></h6>}
-                                            {props.data.totalPrice}$</h4>
+                                        <h4>{props.data.totalPrice}$</h4>
                                     </Row>
                                     <Row className="w-100">
Index: frontend/src/Components/Listings/SortButton.js
===================================================================
--- frontend/src/Components/Listings/SortButton.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Listings/SortButton.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -3,10 +3,7 @@
 import { BsSortUp } from "react-icons/bs"
 
-const SortButton = (props) => {
+const SortButton = () => {
     return (
-        <Dropdown onSelect={(event, x) => {
-            console.log(event)
-            props.setSortingArg(event)
-        }}>
+        <Dropdown>
           <Dropdown.Toggle variant="success" id="dropdown-basic" size="lg">
           <span className="ikona my-1"><BsSortUp/></span>
@@ -14,9 +11,9 @@
           </Dropdown.Toggle>
     
-          <Dropdown.Menu >
-              {props.type !== 'restaurant' && <Dropdown.Item eventKey={'priceDesc'}>Цена растечки</Dropdown.Item>}
-              {props.type !== 'restaurant' && <Dropdown.Item eventKey={'priceAsc'}>Цена опаѓачки</Dropdown.Item>}
-              {props.type !== 'transport' && <Dropdown.Item eventKey={'nameAsc'}>Име растечки</Dropdown.Item>}
-              {props.type !== 'transport' && <Dropdown.Item eventKey={'nameDesc'}>Име опаѓачки</Dropdown.Item>}
+          <Dropdown.Menu>
+            <Dropdown.Item href="#/action-1">Цена растечки</Dropdown.Item>
+            <Dropdown.Item href="#/action-2">Цена опаѓачки</Dropdown.Item>
+            <Dropdown.Item href="#/action-3">Име растечки</Dropdown.Item>
+            <Dropdown.Item href="#/action-3">Име опаѓачки</Dropdown.Item>
           </Dropdown.Menu>
         </Dropdown>
Index: frontend/src/Components/Listings/TransportListing.js
===================================================================
--- frontend/src/Components/Listings/TransportListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Listings/TransportListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -9,5 +9,5 @@
 
 const TransportListing = (props) => {
-
+  
 
 
@@ -56,5 +56,5 @@
                     }}
                   >
-                      {(props.data.reviews.reduce((sum, r) => sum + r.numStar, 0) / props.data.reviews.length).toFixed(1)}
+                    9.1
                   </span>
                 </Col>
@@ -69,5 +69,5 @@
                   </Row>
                   <Row className="w-100">
-                    <Link to="/details/transport" state={ {data: props.data, params: props.params} }>
+                    <Link to="/details/transport" state={ {data: props.data} }>
                     <Button
                       className="m-2"
Index: frontend/src/Components/Login/LoginForm.js
===================================================================
--- frontend/src/Components/Login/LoginForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Login/LoginForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -5,17 +5,14 @@
 import useLogin from "../Hooks/User/useLogin";
 import { Link } from "react-router-dom";
-import useCreate from "../Hooks/useCreate";
-import {useAuth} from "../Context/AuthContext";
 
-const LoginForm = (props) => {
+const LoginForm = () => {
   const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(
     {
-      username: "",
+      email: "",
       password: "",
     }
   );
 
-  const { createEntity } = useCreate();
-  const Auth = useAuth();
+  const { login } = useLogin();
 
   return (
@@ -30,8 +27,11 @@
             type="email"
             placeholder="Enter email"
-            name="username"
+            name="email"
             onChange={onFormChange}
             value={formData.email}
           />
+          <Form.Text className="text-muted">
+            Вашите податоци никогаш нема да бидат споделени.
+          </Form.Text>
         </Form.Group>
 
@@ -46,12 +46,12 @@
           />
         </Form.Group>
-        {/*<Form.Group className="mb-3" controlId="formBasicCheckbox">*/}
-        {/*  <Form.Check type="checkbox" label="Check me out" />*/}
-        {/*</Form.Group>*/}
-        {/*<Link to={"/register"} style={{textDecoration: "none"}}>*/}
-        {/*  <Form.Text className="text-muted" style={{color: "#159895!important"}} >*/}
-        {/*    Регистритрај се*/}
-        {/*  </Form.Text>*/}
-        {/*</Link>*/}
+        <Form.Group className="mb-3" controlId="formBasicCheckbox">
+          <Form.Check type="checkbox" label="Check me out" />
+        </Form.Group>
+        <Link to={"/register"} style={{textDecoration: "none"}}>
+          <Form.Text className="text-muted" style={{color: "#159895!important"}} >
+            Регистритрај се
+          </Form.Text>
+        </Link>
         <Form.Group className="my-1">
           <Button
@@ -62,5 +62,5 @@
               e.preventDefault();
               console.log(formData);
-              createEntity(`/users/${Auth.getUser().userId}/connect`, formData, props.refresh)
+              login(formData)
             }}
           >
@@ -68,5 +68,5 @@
               <AiFillLock />
             </span>
-            <span className="ikona mx-3">Поврзи</span>
+            <span className="ikona mx-3">Најави се</span>
           </Button>
         </Form.Group>
